From 45e944bde1b18c6a0ddcba3e95d29540ab583b5d Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 21 Feb 2018 20:42:28 +0100
Subject: [PATCH 2/2] Allow # comments in the isolation spec SQL blocks

The documentation for the isolationtester spec files states that
lines starting with # are treated as comments. This doesm't apply
to inside the SQL blocks, so add support for # comments there as
well. While normal -- SQL comments are perfectly valid to use,
they will count against the linebuffer so supporthing both has a
value outside just being consistent.
---
 src/test/isolation/specscanner.l | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/test/isolation/specscanner.l b/src/test/isolation/specscanner.l
index 7d371ebbca..84194b3a87 100644
--- a/src/test/isolation/specscanner.l
+++ b/src/test/isolation/specscanner.l
@@ -72,6 +72,9 @@ teardown		{ return TEARDOWN; }
 					litbufpos = 0;
 					BEGIN(sql);
 				}
+<sql>{comment}	{
+					/* ignore */
+				}
 <sql>{space}*"}" {
 					litbuf[litbufpos] = '\0';
 					yylval.str = pg_strdup(litbuf);
-- 
2.14.1.145.gb3622a4ee

